package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.businessmanagement.BusinessBasicInfo;
import com.sunxung.factoring.entity.entprise.Enterprise;
import com.sunxung.factoring.entity.project.ProjectInformation;
import com.sunxung.factoring.entity.sys.FileStorageDO;
import com.sunxung.factoring.entity.tradingPlatform.Platform;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 验收单单价调整历史表
 * </p>
 *
 * @author yafan
 * @since 2023-12-19
 */
@TableName("c_acceptance_price_adjust_his_info")
public class AcceptancePriceAdjustHisInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单-单价调整表ID
     */
    @TableField("c_acceptance_price_adjust_info_id")
    private Long cAcceptancePriceAdjustInfoId;

    /**
     * 预计结算日期 
     */
    @TableField("expected_settlement_date")
    private Date expectedSettlementDate;

    /**
     * 补充说明
     */
    @TableField("supplement_description")
    private String supplementDescription;

    /**
     * 验收经办人（供应商）
     */
    @TableField("check_operator_supplier")
    private String checkOperatorSupplier;


    @TableField("mobile")
    private String mobile;

    /**
     * 核心企业名称
     **/
    @TableField(exist = false)
    private Enterprise coreEnterprise;

    /**
     * 主企业（供应商）名称
     **/
    @TableField(exist = false)
    private Enterprise mainEnterprise;

    /**
     * 贸易平台
     **/
    @TableField(exist = false)
    private Platform platform;
    /**
     * 业务编号
     **/
    @TableField(exist = false)
    private String businessNumber;

    @TableField(exist = false)
    private ProjectInformation businessBasicInfo;

    /**
     * 货物信息
     */
    @TableField(exist = false)
    private List<AcceptancePriceGoodsHisInfo> goodsInfoList;

    /**
     * 单价调整补充说明文件
     */
    @TableField(exist = false)
    private List<FileStorageDO> fileStorageList;

    public Long getcAcceptancePriceAdjustInfoId() {
        return cAcceptancePriceAdjustInfoId;
    }

    public void setcAcceptancePriceAdjustInfoId(Long cAcceptancePriceAdjustInfoId) {
        this.cAcceptancePriceAdjustInfoId = cAcceptancePriceAdjustInfoId;
    }

    public Date getExpectedSettlementDate() {
        return expectedSettlementDate;
    }

    public void setExpectedSettlementDate(Date expectedSettlementDate) {
        this.expectedSettlementDate = expectedSettlementDate;
    }

    public String getSupplementDescription() {
        return supplementDescription;
    }

    public void setSupplementDescription(String supplementDescription) {
        this.supplementDescription = supplementDescription;
    }
    public String getCheckOperatorSupplier() {
        return checkOperatorSupplier;
    }

    public void setCheckOperatorSupplier(String checkOperatorSupplier) {
        this.checkOperatorSupplier = checkOperatorSupplier;
    }

    public Enterprise getCoreEnterprise() {
        return coreEnterprise;
    }

    public void setCoreEnterprise(Enterprise coreEnterprise) {
        this.coreEnterprise = coreEnterprise;
    }

    public Enterprise getMainEnterprise() {
        return mainEnterprise;
    }

    public void setMainEnterprise(Enterprise mainEnterprise) {
        this.mainEnterprise = mainEnterprise;
    }

    public Platform getPlatform() {
        return platform;
    }

    public void setPlatform(Platform platform) {
        this.platform = platform;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public List<AcceptancePriceGoodsHisInfo> getGoodsInfoList() {
        return goodsInfoList;
    }

    public void setGoodsInfoList(List<AcceptancePriceGoodsHisInfo> goodsInfoList) {
        this.goodsInfoList = goodsInfoList;
    }

    public List<FileStorageDO> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorageDO> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }


    public ProjectInformation getBusinessBasicInfo() {
        return businessBasicInfo;
    }

    public void setBusinessBasicInfo(
        ProjectInformation businessBasicInfo) {
        this.businessBasicInfo = businessBasicInfo;
    }

    @Override
    public String toString() {
        return "CAcceptancePriceAdjustHisInfo{" +
            ", cAcceptancePriceAdjustInfoId=" + cAcceptancePriceAdjustInfoId +
            ", expectedSettlementDate=" + expectedSettlementDate +
            ", supplementDescription=" + supplementDescription +
            ", checkOperatorSupplier=" + checkOperatorSupplier +
        "}";
    }
}
